import { By } from 'selenium-webdriver';

export class BasePage {
	protected url: string;

	public title?: string;
	public root: By;

	public buttons?: Record<string, By>;
	public fields?: Record<string, By>;
	public forms?: Record<string, By>;
	public messages?: Record<string, By>;

	public getPageUrl() {
		return `${process.env.HOST_IP}:${process.env.APP_PORT}` + this.url;
	}
}
